Read a Credit Card Product
curl --request GET \
--url https://int-api.mx.com/credit_card_products/{credit_card_product_guid} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/credit_card_products/{credit_card_product_guid}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://int-api.mx.com/credit_card_products/{credit_card_product_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credit_card_product": {
"annual_fee": 45,
"duration_of_introductory_rate_on_balance_transfer": null,
"duration_of_introductory_rate_on_purchases": null,
"guid": "CCA-b5bcd822-6d01-4e23-b8d6-846a225e714a",
"has_cashback_rewards": false,
"has_other_rewards": true,
"has_travel_rewards": true,
"has_zero_introductory_annual_fee": true,
"has_zero_percent_introductory_rate": false,
"has_zero_percent_introductory_rate_on_balance_transfer": true,
"is_accepting_applicants": true,
"is_active_credit_card_product": true,
"is_small_business_card": true,
"name": "Chase Credit Card"
}
}Rewards
Read a Credit Card Product
This endpoint returns the specified credit_card_product according to the unique GUID.
GET
/
credit_card_products
/
{credit_card_product_guid}
Read a Credit Card Product
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The required credit_card_product_guid can be found on the account object.
Response
200 - application/vnd.mx.api.v1+json
OK
Hide child attributes
Hide child attributes
Example:
45
Example:
null
Example:
null
Example:
"CCA-b5bcd822-6d01-4e23-b8d6-846a225e714a"
Example:
false
Example:
true
Example:
true
Example:
true
Example:
false
Example:
true
Example:
true
Example:
true
Example:
true
Example:
"Chase Credit Card"

